Subject: bug#53715: 29.0.50; [PATCH] Improve correctness of pipelines in Eshell

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Feb 2022 20:03:41 +0100

Jim Porter <[email-masked]> writes:

> Here's a small additional improvement that I hope is correct. The
> third patch here changes how eshell-tests-helpers.el is loaded to that
> it uses `require'. This reduces some of the boilerplate and will
> hopefully prevent issues with this file not getting recompiled when
> it's updated.
>
> The first two patches are the same as before. I've just included them
> for completeness/ease of applying.

Thanks; seems to work well for me, so I've now pushed them to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no